Apache JMeter

## org.apache.jmeter.report.gui.action
Class ReportEnableComponent

    java.lang.Object
      org.apache.jmeter.report.gui.action.ReportEnableComponent

All Implemented Interfaces:
  Command

    public class ReportEnableComponent

extends Object
implements Command

Field Summary
`static String` `DISABLE`
`static String` `ENABLE`

Constructor Summary
`ReportEnableComponent()`

Method Summary
`void` `doAction(ActionEvent e)`
`Set<String>` `getActionNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENABLE

    public static final String ENABLE

See Also:
  Constant Field Values

### DISABLE

    public static final String DISABLE

See Also:
  Constant Field Values

Constructor Detail

### ReportEnableComponent

    public ReportEnableComponent()

Method Detail

### doAction

    public void doAction(ActionEvent e)

  Specified by:
    `doAction` in interface `Command`
  See Also:
    `Command.doAction(ActionEvent)`

### getActionNames

    public Set<String> getActionNames()

  Specified by:
    `getActionNames` in interface `Command`
  See Also:
    `Command.getActionNames()`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.